﻿using System;
using System.Windows.Forms;

namespace NavsGo
{
    public partial class DiagnosticsForm : Form
    {
        /* This form serves as a splash screen for the diagnostics utility.  The user
         * can click "Next" to launch the detection form (DetectForm), or "Cancel"
         * to exit the utility.
         */

        public DiagnosticsForm()
        {
            InitializeComponent();
            
            // Set the splash screen to use the GPS icon
            pictureBox1.Image = Program.Gps;
        }

        private void menuStart_Click(object sender, EventArgs e)
        {
            // Launch the device detection form
            DetectForm form = new DetectForm();
            form.Show();
            Close();
        }

        private void menuCancel_Click(object sender, EventArgs e)
        {
            // Exit the utility
            Close();
        }
    }
}